# Mensualidades

## Obtener lista de mensualidades

<mark style="color:blue;">`GET`</mark> `https://{clave}.admintotal.com/api/v2/mensualidades/`

#### Query Parameters

| Name          | Type    | Description                                             |
| ------------- | ------- | ------------------------------------------------------- |
| id            | integer | ID de la mensualidad                                    |
| representante | string  | Filtra por ID de representante de cliente de admintotal |
| rfc           | string  | Filtra por RFC de cliente de admintotal                 |
| dia\_envio    | number  | Filtrar por dia de envio                                |
| almacen       | integer | Filtra por ID de almacen                                |
| cliente       | integer | Filtra por ID de Cliente de admintotal                  |

#### Headers

| Name    | Type   | Description             |
| ------- | ------ | ----------------------- |
| Api-key | string | Token para autorizacion |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## Agregar nueva mensualidad

<mark style="color:green;">`POST`</mark> `https://{clave}.admintotal.com/api/v2/mensualidades/`

#### Headers

| Name    | Type   | Description             |
| ------- | ------ | ----------------------- |
| Api-key | string | Token para autorizacion |

#### Request Body

| Name             | Type    | Description                                          |
| ---------------- | ------- | ---------------------------------------------------- |
| iva              | number  | IVA del prodcuto de la mensualidad                   |
| descuento        | number  | Cantidad de descuento del producto de la mensaulidad |
| importe          | number  | Importe del producto de la mensualidad               |
| precio\_unitario | number  | Precio unitario del prodcuto de la mensualidad       |
| descripcion      | string  | Descripcion del producto de la mensualidad           |
| cantidad         | number  | cantidad de prodcutos                                |
| comentarios      | string  | Comentarios de la mensualidad                        |
| moneda           | number  | Moneda, formatos: 1:"MXN" y 2:"USD"                  |
| hasta            | string  | Hasta, formato: dd/mm/aaaa                           |
| desde            | string  | Desde, formato: dd/mm/aaaa                           |
| dia              | number  | Dia de envio                                         |
| condicion        | integer | ID condicion                                         |
| almacen          | integer | ID almacen                                           |
| cliente          | integer | ID cliente de admintotal                             |
| codigo\_producto | string  | Codigo de producto                                   |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.admintotal.com/api/mensualidades.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
